package com.sifang.modules.customer.entity;

import org.hibernate.annotations.GenericGenerator;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;


@Entity
@Table(name = "crm_power_station")
public class PowerStation implements Serializable {

    private static final long serialVersionUID = 1L;
    private String id;
    private String userId;
    private String sn;
    private String psId;
    private String psName;
    private String psShortName;
    private String installDate;
    private String installer;
    private String location;
    private String province;
    private String city;
    private String area;
    private String longitude;
    private String latitude;
    private String buildDate;
    private String recoreCreateTime;
    private String expectInstallDate;
    private String safeStartDate;
    private String operateYear;
    private String installedArea;
    private String componentArea;
    private String userMobleTel;
    private String email;
    private String contactName;
    private String mobleTel;
    private String mobleTelBak;
    private String operationBusName;
    private String psHolder;
    private String producer;
    private String timezone;
    private String ownerContact;
    private String ownerOrganization;
    private String installerContact;
    private String description;
    private String operatorContact;
    private String psTypeName;
    private String designCapacity;
    private String designCapacityUnit;
    private String connectType;
    private String totalEnergy;
    private String totalEnergyUnit;
    private String todayEnergy;
    private String todayEnergyUnit;
    private String currPower;
    private String currPowerUnit;
    private String todayIncome;
    private String todayIncomeUnit;
    private String totalIncome;
    private String totalIncomeUnit;
    private String coReduce;
    private String coReduceUnit;
    private String totalCapcity;
    private String totalCapcityUnit;
    private String psStatus;
    private String psFaultStatus;
    private String psPriceKwh;


    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public PowerStation() {
        super();
    }

    public String getPsPriceKwh() {
        return psPriceKwh;
    }

    public void setPsPriceKwh(String psPriceKwh) {
        this.psPriceKwh = psPriceKwh;
    }

    @Id
    @GeneratedValue(generator = "idGenerator")
    @GenericGenerator(name = "idGenerator", strategy = "uuid")
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTotalEnergy() {
        return totalEnergy;
    }

    public void setTotalEnergy(String totalEnergy) {
        this.totalEnergy = totalEnergy;
    }

    public String getTodayEnergy() {
        return todayEnergy;
    }

    public void setTodayEnergy(String todayEnergy) {
        this.todayEnergy = todayEnergy;
    }

    public String getCurrPower() {
        return currPower;
    }

    public void setCurrPower(String currPower) {
        this.currPower = currPower;
    }

    public String getTodayIncome() {
        return todayIncome;
    }

    public void setTodayIncome(String todayIncome) {
        this.todayIncome = todayIncome;
    }

    public String getTotalIncome() {
        return totalIncome;
    }

    public void setTotalIncome(String totalIncome) {
        this.totalIncome = totalIncome;
    }

    public String getCoReduce() {
        return coReduce;
    }

    public void setCoReduce(String coReduce) {
        this.coReduce = coReduce;
    }

    public String getTotalCapcity() {
        return totalCapcity;
    }

    public void setTotalCapcity(String totalCapcity) {
        this.totalCapcity = totalCapcity;
    }

    public String getPsStatus() {
        return psStatus;
    }

    public void setPsStatus(String psStatus) {
        this.psStatus = psStatus;
    }

    public String getPsFaultStatus() {
        return psFaultStatus;
    }

    public void setPsFaultStatus(String psFaultStatus) {
        this.psFaultStatus = psFaultStatus;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getPsId() {
        return psId;
    }

    public void setPsId(String psId) {
        this.psId = psId;
    }

    public String getSn() {
        return sn;
    }

    public void setSn(String sn) {
        this.sn = sn;
    }

    public String getPsName() {
        return psName;
    }

    public void setPsName(String psName) {
        this.psName = psName;
    }

    public String getPsShortName() {
        return psShortName;
    }

    public void setPsShortName(String psShortName) {
        this.psShortName = psShortName;
    }

    public String getInstallDate() {
        return installDate;
    }

    public void setInstallDate(String installDate) {
        this.installDate = installDate;
    }

    public String getInstaller() {
        return installer;
    }

    public void setInstaller(String installer) {
        this.installer = installer;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getBuildDate() {
        return buildDate;
    }

    public void setBuildDate(String buildDate) {
        this.buildDate = buildDate;
    }

    public String getRecoreCreateTime() {
        return recoreCreateTime;
    }

    public void setRecoreCreateTime(String recoreCreateTime) {
        this.recoreCreateTime = recoreCreateTime;
    }

    public String getExpectInstallDate() {
        return expectInstallDate;
    }

    public void setExpectInstallDate(String expectInstallDate) {
        this.expectInstallDate = expectInstallDate;
    }

    public String getSafeStartDate() {
        return safeStartDate;
    }

    public void setSafeStartDate(String safeStartDate) {
        this.safeStartDate = safeStartDate;
    }

    public String getOperateYear() {
        return operateYear;
    }

    public void setOperateYear(String operateYear) {
        this.operateYear = operateYear;
    }

    public String getInstalledArea() {
        return installedArea;
    }

    public void setInstalledArea(String installedArea) {
        this.installedArea = installedArea;
    }

    public String getComponentArea() {
        return componentArea;
    }

    public void setComponentArea(String componentArea) {
        this.componentArea = componentArea;
    }

    public String getUserMobleTel() {
        return userMobleTel;
    }

    public void setUserMobleTel(String userMobleTel) {
        this.userMobleTel = userMobleTel;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getContactName() {
        return contactName;
    }

    public void setContactName(String contactName) {
        this.contactName = contactName;
    }

    public String getMobleTel() {
        return mobleTel;
    }

    public void setMobleTel(String mobleTel) {
        this.mobleTel = mobleTel;
    }

    public String getMobleTelBak() {
        return mobleTelBak;
    }

    public void setMobleTelBak(String mobleTelBak) {
        this.mobleTelBak = mobleTelBak;
    }

    public String getOperationBusName() {
        return operationBusName;
    }

    public void setOperationBusName(String operationBusName) {
        this.operationBusName = operationBusName;
    }

    public String getPsHolder() {
        return psHolder;
    }

    public void setPsHolder(String psHolder) {
        this.psHolder = psHolder;
    }

    public String getProducer() {
        return producer;
    }

    public void setProducer(String producer) {
        this.producer = producer;
    }

    public String getTimezone() {
        return timezone;
    }

    public void setTimezone(String timezone) {
        this.timezone = timezone;
    }

    public String getOwnerContact() {
        return ownerContact;
    }

    public void setOwnerContact(String ownerContact) {
        this.ownerContact = ownerContact;
    }

    public String getOwnerOrganization() {
        return ownerOrganization;
    }

    public void setOwnerOrganization(String ownerOrganization) {
        this.ownerOrganization = ownerOrganization;
    }

    public String getInstallerContact() {
        return installerContact;
    }

    public void setInstallerContact(String installerContact) {
        this.installerContact = installerContact;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getOperatorContact() {
        return operatorContact;
    }

    public void setOperatorContact(String operatorContact) {
        this.operatorContact = operatorContact;
    }

    public String getPsTypeName() {
        return psTypeName;
    }

    public void setPsTypeName(String psTypeName) {
        this.psTypeName = psTypeName;
    }

    public String getDesignCapacity() {
        return designCapacity;
    }

    public void setDesignCapacity(String designCapacity) {
        this.designCapacity = designCapacity;
    }

    public String getDesignCapacityUnit() {
        return designCapacityUnit;
    }

    public void setDesignCapacityUnit(String designCapacityUnit) {
        this.designCapacityUnit = designCapacityUnit;
    }

    public String getConnectType() {
        return connectType;
    }

    public void setConnectType(String connectType) {
        this.connectType = connectType;
    }

    public String getTotalEnergyUnit() {
        return totalEnergyUnit;
    }

    public void setTotalEnergyUnit(String totalEnergyUnit) {
        this.totalEnergyUnit = totalEnergyUnit;
    }

    public String getTodayEnergyUnit() {
        return todayEnergyUnit;
    }

    public void setTodayEnergyUnit(String todayEnergyUnit) {
        this.todayEnergyUnit = todayEnergyUnit;
    }

    public String getCurrPowerUnit() {
        return currPowerUnit;
    }

    public void setCurrPowerUnit(String currPowerUnit) {
        this.currPowerUnit = currPowerUnit;
    }

    public String getTodayIncomeUnit() {
        return todayIncomeUnit;
    }

    public void setTodayIncomeUnit(String todayIncomeUnit) {
        this.todayIncomeUnit = todayIncomeUnit;
    }

    public String getTotalIncomeUnit() {
        return totalIncomeUnit;
    }

    public void setTotalIncomeUnit(String totalIncomeUnit) {
        this.totalIncomeUnit = totalIncomeUnit;
    }

    public String getCoReduceUnit() {
        return coReduceUnit;
    }

    public void setCoReduceUnit(String coReduceUnit) {
        this.coReduceUnit = coReduceUnit;
    }

    public String getTotalCapcityUnit() {
        return totalCapcityUnit;
    }

    public void setTotalCapcityUnit(String totalCapcityUnit) {
        this.totalCapcityUnit = totalCapcityUnit;
    }
}
